# Uses of Interface
ch.qos.logback.core.Context

Packages that use Context
Package
Description
ch.qos.logback.access.jetty
This is logback access' implementation for Jetty 8.
ch.qos.logback.access.pattern
Provides classes implementing format specifiers in conversion patterns.
ch.qos.logback.access.spi
Contains the core classes of logback access.
ch.qos.logback.access.tomcat
This is logback access' implementation for Tomcat.
ch.qos.logback.classic
Contains logback classic main classes.
ch.qos.logback.classic.jmx
ch.qos.logback.classic.pattern
Provides classes implementing format specifiers in conversion patterns.
ch.qos.logback.classic.spi
Contains core classes of logback classic.
ch.qos.logback.core
Contains the main classes of logback core.
ch.qos.logback.core.joran
Contains Joran configuration classes.
ch.qos.logback.core.joran.event
ch.qos.logback.core.joran.event.stax
ch.qos.logback.core.joran.spi
ch.qos.logback.core.joran.util
ch.qos.logback.core.joran.util.beans
ch.qos.logback.core.pattern
Contains the base classes used by PatternLayout.
ch.qos.logback.core.recovery
ch.qos.logback.core.rolling.helper
Internal helper classes used by `ch.qos.logback.core.rolling` package.
ch.qos.logback.core.sift
ch.qos.logback.core.spi
Contains core functionnalities of logback, such as
ch.qos.logback.core.status
Contains logback's internal error reporting system.
ch.qos.logback.core.util
Contains various utility classes.

## Uses of Context in ch.qos.logback.access.jetty

Classes in ch.qos.logback.access.jetty that implement Context
Modifier and Type
Class
Description
`class`
`RequestLogImpl`
This class is logback's implementation of jetty's RequestLog interface.

## Uses of Context in ch.qos.logback.access.pattern

Methods in ch.qos.logback.access.pattern that return Context
Modifier and Type
Method
Description
`Context`
AccessConverter.`getContext()`
Methods in ch.qos.logback.access.pattern with parameters of type Context
Modifier and Type
Method
Description
`void`
EnsureLineSeparation.`process(Context context, Converter<IAccessEvent> head)`
Add a line separator converter so that access event appears on a separate line.
`void`
AccessConverter.`setContext(Context context)`

## Uses of Context in ch.qos.logback.access.spi

Classes in ch.qos.logback.access.spi that implement Context
Modifier and Type
Class
Description
`class`
`AccessContext`
A minimal context implementation used by certain logback-access components, mainly SocketServer.

## Uses of Context in ch.qos.logback.access.tomcat

Classes in ch.qos.logback.access.tomcat that implement Context
Modifier and Type
Class
Description
`class`
`LogbackValve`
This class is an implementation of tomcat's Valve interface, by extending ValveBase.

## Uses of Context in ch.qos.logback.classic

Classes in ch.qos.logback.classic that implement Context
Modifier and Type
Class
Description
`class`
`LoggerContext`
LoggerContext glues many of the logback-classic components together.

## Uses of Context in ch.qos.logback.classic.jmx

Methods in ch.qos.logback.classic.jmx with parameters of type Context
Modifier and Type
Method
Description
`static ObjectName`
MBeanUtil.`string2ObjectName(Context context, Object caller, String objectNameAsStr)`

## Uses of Context in ch.qos.logback.classic.pattern

Methods in ch.qos.logback.classic.pattern with parameters of type Context
Modifier and Type
Method
Description
`void`
EnsureExceptionHandling.`process(Context context, Converter<ILoggingEvent> head)`
This implementation checks if any of the converters in the chain handles exceptions.

## Uses of Context in ch.qos.logback.classic.spi

Methods in ch.qos.logback.classic.spi with parameters of type Context
Modifier and Type
Method
Description
`void`
LoggerContextAwareBase.`setContext(Context context)`

## Uses of Context in ch.qos.logback.core

Classes in ch.qos.logback.core that implement Context
Modifier and Type
Class
Description
`class`
`ContextBase`
Methods in ch.qos.logback.core that return Context
Modifier and Type
Method
Description
`Context`
LayoutBase.`getContext()`
Methods in ch.qos.logback.core with parameters of type Context
Modifier and Type
Method
Description
`void`
LayoutBase.`setContext(Context context)`

## Uses of Context in ch.qos.logback.core.joran

Methods in ch.qos.logback.core.joran with parameters of type Context
Modifier and Type
Method
Description
`static void`
GenericConfigurator.`informContextOfURLUsedForConfiguration(Context context, URL url)`

## Uses of Context in ch.qos.logback.core.joran.event

Methods in ch.qos.logback.core.joran.event that return Context
Modifier and Type
Method
Description
`Context`
SaxEventRecorder.`getContext()`
Methods in ch.qos.logback.core.joran.event with parameters of type Context
Modifier and Type
Method
Description
`void`
SaxEventRecorder.`setContext(Context context)`
Constructors in ch.qos.logback.core.joran.event with parameters of type Context
Modifier
Constructor
Description
``
`SaxEventRecorder(Context context)`

## Uses of Context in ch.qos.logback.core.joran.event.stax

Constructors in ch.qos.logback.core.joran.event.stax with parameters of type Context
Modifier
Constructor
Description
``
`StaxEventRecorder(Context context)`

## Uses of Context in ch.qos.logback.core.joran.spi

Constructors in ch.qos.logback.core.joran.spi with parameters of type Context
Modifier
Constructor
Description
``
`InterpretationContext(Context context, Interpreter joranInterpreter)`
``
`Interpreter(Context context, RuleStore rs, ElementPath initialElementPath)`
``
`SimpleRuleStore(Context context)`

## Uses of Context in ch.qos.logback.core.joran.util

Methods in ch.qos.logback.core.joran.util with parameters of type Context
Modifier and Type
Method
Description
`static void`
ConfigurationWatchListUtil.`addToWatchList(Context context, URL url)`
`static ConfigurationWatchList`
ConfigurationWatchListUtil.`getConfigurationWatchList(Context context)`
`static URL`
ConfigurationWatchListUtil.`getMainWatchURL(Context context)`
`static void`
ConfigurationWatchListUtil.`registerConfigurationWatchList(Context context, ConfigurationWatchList cwl)`
`static void`
ConfigurationWatchListUtil.`setMainWatchURL(Context context, URL url)`

## Uses of Context in ch.qos.logback.core.joran.util.beans

Constructors in ch.qos.logback.core.joran.util.beans with parameters of type Context
Modifier
Constructor
Description
``
`BeanDescriptionCache(Context context)`

## Uses of Context in ch.qos.logback.core.pattern

Methods in ch.qos.logback.core.pattern that return Context
Modifier and Type
Method
Description
`Context`
DynamicConverter.`getContext()`
Methods in ch.qos.logback.core.pattern with parameters of type Context
Modifier and Type
Method
Description
`void`
PostCompileProcessor.`process(Context context, Converter<E> head)`
Post compile processing of the converter chain.
`void`
DynamicConverter.`setContext(Context context)`
`static <E> void`
ConverterUtil.`setContextForConverters(Context context, Converter<E> head)`

## Uses of Context in ch.qos.logback.core.recovery

Methods in ch.qos.logback.core.recovery that return Context
Modifier and Type
Method
Description
`Context`
ResilientOutputStreamBase.`getContext()`
Methods in ch.qos.logback.core.recovery with parameters of type Context
Modifier and Type
Method
Description
`void`
ResilientOutputStreamBase.`setContext(Context context)`

## Uses of Context in ch.qos.logback.core.rolling.helper

Constructors in ch.qos.logback.core.rolling.helper with parameters of type Context
Modifier
Constructor
Description
``
`FileNamePattern(String patternArg, Context contextArg)`

## Uses of Context in ch.qos.logback.core.sift

Methods in ch.qos.logback.core.sift with parameters of type Context
Modifier and Type
Method
Description
`Appender<E>`
AbstractAppenderFactoryUsingJoran.`buildAppender(Context context, String discriminatingValue)`
`Appender<E>`
AppenderFactory.`buildAppender(Context context, String discriminatingValue)`
Constructors in ch.qos.logback.core.sift with parameters of type Context
Modifier
Constructor
Description
``
`AppenderTracker(Context context, AppenderFactory<E> appenderFactory)`

## Uses of Context in ch.qos.logback.core.spi

Fields in ch.qos.logback.core.spi declared as Context
Modifier and Type
Field
Description
`protected Context`
ContextAwareBase.`context`
`protected Context`
ContextAwareImpl.`context`
Methods in ch.qos.logback.core.spi that return Context
Modifier and Type
Method
Description
`Context`
ContextAware.`getContext()`
`Context`
ContextAwareBase.`getContext()`
`Context`
ContextAwareImpl.`getContext()`
Methods in ch.qos.logback.core.spi with parameters of type Context
Modifier and Type
Method
Description
`void`
ContextAware.`setContext(Context context)`
`void`
ContextAwareBase.`setContext(Context context)`
`void`
ContextAwareImpl.`setContext(Context context)`
Constructors in ch.qos.logback.core.spi with parameters of type Context
Modifier
Constructor
Description
``
`ContextAwareImpl(Context context, Object origin)`

## Uses of Context in ch.qos.logback.core.status

Methods in ch.qos.logback.core.status with parameters of type Context
Modifier and Type
Method
Description
`static boolean`
StatusUtil.`contextHasStatusListener(Context context)`
Returns true if the StatusManager associated with the context passed as parameter has one or more StatusListener instances registered.
Constructors in ch.qos.logback.core.status with parameters of type Context
Modifier
Constructor
Description
``
`StatusUtil(Context context)`

## Uses of Context in ch.qos.logback.core.util

Methods in ch.qos.logback.core.util with parameters of type Context
Modifier and Type
Method
Description
`static void`
StatusListenerConfigHelper.`addOnConsoleListenerInstance(Context context, OnConsoleStatusListener onConsoleStatusListener)`
This utility method adds a new OnConsoleStatusListener to the context passed as parameter.
`static Map<String,String>`
ContextUtil.`getFilenameCollisionMap(Context context)`
`static Map<String,FileNamePattern>`
ContextUtil.`getFilenamePatternCollisionMap(Context context)`
`static void`
StatusListenerConfigHelper.`installIfAsked(Context context)`
`static Object`
OptionHelper.`instantiateByClassName(String className, Class<?> superClass, Context context)`
`static Object`
OptionHelper.`instantiateByClassNameAndParameter(String className, Class<?> superClass, Context context, Class<?> type, Object param)`
`static Class<?>`
Loader.`loadClass(String clazz, Context context)`
`static void`
StatusPrinter.`print(Context context)`
Print the contents of the context's status data.
`static void`
StatusPrinter.`print(Context context, long threshold)`
Print context's status data with a timestamp higher than the threshold.
`static void`
StatusPrinter.`printIfErrorsOccured(Context context)`
Print the contents of the context statuses, but only if they contain errors.
`static void`
StatusPrinter.`printInCaseOfErrorsOrWarnings(Context context)`
Print the contents of the context statuses, but only if they contain warnings or errors.
`static void`
StatusPrinter.`printInCaseOfErrorsOrWarnings(Context context, long threshold)`
Print the contents of the context status, but only if they contain warnings or errors occurring later then the threshold.
Constructors in ch.qos.logback.core.util with parameters of type Context
Modifier
Constructor
Description
``
`ContextUtil(Context context)`
``
`FileUtil(Context context)`
``
`InterruptUtil(Context context)`